import React from "react";
import {
  StyleSheet,
  Text,
  View,
  StatusBar,
  Dimensions,
  ImageBackground,
} from "react-native";
import { NavigationContainer } from "@react-navigation/native";
import AppNavigation from "./app/navigation/AppNavigation";
import MainScreen from "./app/screens/MainScreen";
import { io } from "socket.io-client";

export default function App() {
  // const socket = io("ws://192.168.43.2:8000", { transports: ["websocket"] });
  // socket.on("connect", () => {
  //   console.log(socket.connected); // true
  // });

  // socket.on("disconnect", () => {
  //   console.log(socket.connected); // false
  // });

  return (
    <NavigationContainer>
      <AppNavigation />
    </NavigationContainer>
    // <View style={styles.container}>
    // <MainScreen />
    // </View>
  );
}

const styles = StyleSheet.create({
  container: {
    backgroundColor: "#717e8e",
    // top: StatusBar.currentHeight,
    // height: Dimensions.get("screen").height - StatusBar.currentHeight,
    // // alignItems: "center",
    // justifyContent: "center",
    flex: 1,
  },
  background: {
    flex: 1,
  },
});
