import React from "react";
import { View, StyleSheet, Text, Dimensions } from "react-native";

function BottomTile({ name }) {
  return (
    <View style={styles.container}>
      <Text style={styles.text}>{name}</Text>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    backgroundColor: "#3190d8",
    paddingHorizontal: "20%",
    paddingVertical: "3%",
    marginVertical: "1%",
    borderRadius: 10,
  },
  text: {
    color: "white",
    fontSize: Dimensions.get("screen").width * 0.04,
  },
});

export default BottomTile;
