import React from "react";
import { View, StyleSheet } from "react-native";
import { LinearGradient } from "expo-linear-gradient";

function SeparatorLine(props) {
  return (
    <View style={{ height: "2%" }}>
      <LinearGradient
        start={{ x: 0, y: 1 }}
        end={{ x: 0, y: 0 }}
        colors={["#ffffff47", "transparent"]}
        style={styles.linearGradient}
      ></LinearGradient>
      <LinearGradient
        start={{ x: 0, y: 0 }}
        end={{ x: 0, y: 1 }}
        colors={["#ffffff47", "transparent"]}
        style={styles.linearGradient}
      ></LinearGradient>
    </View>
  );
}

const styles = StyleSheet.create({
  linearGradient: {
    flex: 1,
  },
});

export default SeparatorLine;
